Create a custom set

This endpoint is used to create a custom set.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Validations:

  • The name field is required. If only the name is provided without additional data, a custom set will be created with no items, and access will be granted to all teams within the organization.
  • If the teams field is provided, it must contain valid team IDs belonging to the organization.
  • If an items field is included in the data property:
    • The items will appear in the custom set in the same order they were specified.
    • Each item must include an item_name field, which is required.
    • Other fields within each item (e.g., reference_id, score, color, is_flagged) are optional.

When to expect errors:

400 Bad Request:

  • The custom set’s name is missing or empty.
  • An item’s name is missing or empty.
  • An invalid team ID is provided.
  • Any other parameter contains an invalid data type.

401 Unauthorized

  • The provided API key is invalid or missing.
  • You attempt to create a custom set for a team that you do not have permission to access.

404 Not Found

  • An unexpected error occurs while processing the request.
Body Params
string
required

The name you want to give to your custom set.

string

Any string value just for your reference

data
object

Custom set items data object

teams
array of strings

Array of team's unique identifier for which this custom set should be accessible.

teams
Headers
string
required

Your private API key.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json